###############################################################################
# Licensed Materials - Property of IBM
#
# 5725D70
#
# (C) Copyright IBM Corp. 2015   All rights reserved.
#
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################

#/bin/bash
IOC_LOCATION=$1
IOCTP_PASSWD=$2
IOC_TEMP=${IOC_LOCATION%/}
IOC_16=$(echo ${IOC_TEMP%/*/*})
CURRENT_DIR=$(pwd)

cd ${IOC_16}/bin

./iop.std.install.sh -p ${IOCTP_PASSWD} 2 
 
./iop.std.install.sh -p ${IOCTP_PASSWD} 4

./iop.std.install.sh -p ${IOCTP_PASSWD} 5

./iop.std.install.sh -p ${IOCTP_PASSWD} 6

cd ${CURRENT_DIR}

echo "Change status from New to Ready for iop.std.targets.xml."
sed -i -e 's/"New"/"Ready"/g' ${IOC_16}/topology/iop.std.targets.xml

echo "Change status from New to Ready for iop.std.coreinst.xml."
sed -i -e 's/"New"/"Ready"/g' ${IOC_16}/topology/iop.std.coreinst.xml

echo "Change status from New to Ready for iop.std.coreconfig.xml."
sed -i -e 's/"New"/"Ready"/g' ${IOC_16}/topology/iop.std.coreconfig.xml

echo "Change status from New to Ready for iop.std.identitymanager.xml."
sed -i -e 's/"New"/"Ready"/g' ${IOC_16}/topology/iop.std.identitymanager.xml

echo "Change status from New to Ready for iop.std.ntp.xml."
sed -i -e 's/"New"/"Ready"/g' ${IOC_16}/topology/iop.std.ntp.xml

echo "Change status from New to Ready for iop.std.datastudio.xml."
sed -i -e 's/"New"/"Ready"/g' ${IOC_16}/topology/iop.std.datastudio.xml

exit 0
